PrefabFiles = {

	"generic_hat",
	"generic_amulet",
	"generic_ap",
	"generic_cane",
	"generic_nightstick",
	"rabbit_hata",
    "rabbit_hatb",
    "rabbit_hatc",
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH
local TUNING = GLOBAL.TUNING

--Pouches
STRINGS.NAMES.RABBIT_HATA= "Beefalo Pouch"
STRINGS.NAMES.RABBIT_HATB= "Spider Pouch"
STRINGS.NAMES.RABBIT_HATC= "Large Pouch"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RABBIT_HATA= "full of Beefalo supplies!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RABBIT_HATB= "full of Spider supplies!"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RABBIT_HATC= "Trinkets, odds and ends, that sort of thing"
--

--Other Items
STRINGS.NAMES.GENERIC_HAT= "Wilson's Hat"
STRINGS.NAMES.GENERIC_AMULET= "The North Star"
STRINGS.NAMES.GENERIC_AP= "The Triple Tool"
STRINGS.NAMES.GENERIC_CANE= "The Swift Zimmer"
STRINGS.NAMES.GENERIC_NIGHTSTICK= "The Searing Beacon"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.GENERIC_HAT= "Fits perfectly, dapper too"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GENERIC_AMULET= "Tesla would envy such craftsmanship"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GENERIC_AP= "Fight, chop, mine, why not fly too?"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GENERIC_CANE= "Walk quick, look slick"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GENERIC_NIGHTSTICK= "You shall not PASSS"
--

TUNING.SADDLE_BASIC_USES = 100
TUNING.SADDLE_WAR_USES = 10
TUNING.SADDLE_RACE_USES = 10
TUNING.BRUSH_USES = 100
TUNING.HORN_USES = 100

TUNING.PITCHFORK_USES = 100
TUNING.SHOVEL_USES = 100

--Patch for if Caves Loaded
local containers = GLOBAL.require("containers")
local oldwidgetsetup = containers.widgetsetup
_G=GLOBAL
mods=_G.rawget(_G,"mods")or(function()local m={}_G.rawset(_G,"mods",m)return m end)()
mods.old_widgetsetup = mods.old_widgetsetup or containers.smartercrockpot_old_widgetsetup or oldwidgetsetup
containers.widgetsetup = function(container, prefab, ...)
    if not prefab and container.inst.prefab == "rabbit_hata" then
        prefab = "treasurechest"
    end
    if not prefab and container.inst.prefab == "rabbit_hatb" then
        prefab = "treasurechest"
    end
    if not prefab and container.inst.prefab == "rabbit_hatc" then
        prefab = "dragonflychest"
    end
    if not prefab and container.inst.prefab == "generic_hat" then
        prefab = "icepack"
    end
    return oldwidgetsetup(container, prefab, ...)
end